Skip to content
Proud to collaborate with Microsoft for Startups

mercadopago.addresses.create-customer-address ​

Adds a shipping or billing address to a customer profile.

Create a customer address

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-mercadopago
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Mercadopago API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
customer_idstringYes——
zip_codestringNo——
street_namestringNo——
street_numberstringNo——
citystringNo——
statestringNo——
countrystringNo——

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Mercadopago API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
customer_idstringYes——
zip_codestringNo——
street_namestringNo——
street_numberstringNo——
citystringNo——
statestringNo——
countrystringNo——
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call POST /v1/customers/{customer_id}/addresses
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform POST /v1/customers/{customer_id}/addresses
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "mercadopago.addresses.create-customer-address",
  "initial_data": {
    "base_url": "value",
    "customer_id": "value"
  }
}